> For the complete documentation index, see [llms.txt](https://docs.ibexa.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ibexa.ai/developers/rest-api/conversations/get-conversation.md).

# Get Conversation

Get conversation by ID.

Users can only access conversations they created. Returns complete conversation details including message history.

```json
{"openapi":"3.1.0","info":{"title":"Ibexa Agentic Marketing Platform","version":"0.1.0"},"security":[{"OAuth2PasswordBearer":[]}],"components":{"securitySchemes":{"OAuth2PasswordBearer":{"type":"oauth2","flows":{"password":{"scopes":{},"tokenUrl":"/api/v1/login/access-token"}}}},"schemas":{"ConversationResponseSchema":{"properties":{"id":{"type":"integer","title":"Id"},"agent_id":{"type":"integer","title":"Agent Id"},"created_by":{"type":"string","format":"uuid","title":"Created By"},"subject":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Subject"},"context":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Context"},"created_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created At"},"updated_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updated At"},"feedback_rate":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Feedback Rate"},"parent_conversation_id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Parent Conversation Id","description":"ID of the parent conversation when this is a sub-agent conversation, otherwise null."}},"type":"object","required":["id","agent_id","created_by"],"title":"ConversationResponseSchema","description":"Pydantic schema for conversation response."}}},"paths":{"/api/v1/conversations/{conversation_id}":{"get":{"tags":["conversations","public"],"summary":"Get Conversation","description":"Get conversation by ID.\n\nUsers can only access conversations they created.\nReturns complete conversation details including message history.","operationId":"conversations-get_conversation","parameters":[{"name":"conversation_id","in":"path","required":true,"schema":{"type":"integer","title":"Conversation Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationResponseSchema"}}}},"401":{"description":"User not authenticated","content":{"application/json":{}}},"403":{"description":"User lacks permission","content":{"application/json":{}}},"404":{"description":"Resource not found or user has no permission to access it","content":{"application/json":{}}}}}}}}
```
